> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monyfix.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Onboarding List

> Get Onboarding list



## OpenAPI

````yaml get /onboarding
openapi: 3.1.0
info:
  title: Monyfix API
  description: Monyfix
  version: 1.0.0
servers: []
security: []
paths:
  /onboarding:
    get:
      tags:
        - onboarding
      summary: Get Onboarding List
      description: Get Onboarding list
      operationId: get_onboarding_list_onboarding_get
      parameters:
        - name: force_refresh
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Force Refresh
        - name: cache_ttl
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: Cache TTL in seconds
            default: 60
            title: Cache Ttl
          description: Cache TTL in seconds
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OnboardingGetResponse'
                title: Response Get Onboarding List Onboarding Get
        '401':
          description: >-
            No `Authorization` access token header, token is invalid or user
            removed
          content:
            application/json:
              examples:
                not authenticated:
                  summary: No authorization token header
                  value:
                    detail: Not authenticated
                invalid token:
                  summary: >-
                    Token validation failed, decode failed, it may be expired or
                    malformed
                  value:
                    detail: 'Token invalid: {detailed error msg}'
                removed user:
                  summary: User removed
                  value:
                    detail: User removed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OnboardingGetResponse:
      properties:
        id:
          type: integer
          title: Id
          description: Onboarding ID
        heading:
          type: string
          title: Heading
          description: Main Heading
        detail_desc:
          type: string
          title: Detail Desc
          description: Description
        picture_url:
          type: string
          title: Picture Url
          description: Main picture url
        queue:
          type: integer
          title: Queue
          description: Queue from 1 to n
        is_latest:
          type: boolean
          title: Is Latest
          description: Indicates the last element
      type: object
      required:
        - id
        - heading
        - detail_desc
        - picture_url
        - queue
        - is_latest
      title: OnboardingGetResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````